<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
require("conexion/conectar.php");
require("libs/funciones.php");

$conexion = new CONDB();
$conexion->conectar();

if(isset($_POST["idReceptor"]))
{
			$idReceptor=$_POST['idReceptor'];
			$rfc=$_POST["rfc"];
			$nombre=$_REQUEST["nombre"];
			$calle=$_REQUEST["calle"];
			$noExterior=$_POST["noExterior"];
			$noInterior=$_POST["noInterior"];
			$colonia=$_POST["colonia"];
			$ciudad=$_POST["ciudad"];
			$estado=$_POST["estado"];
			$pais=$_POST["pais"];
			$codigoPostal=$_POST["codigoPostal"];
			if($_SESSION["MODULO_PENDIENTES_CANCELAR"] === "1"){
				$cerPass=Encripta($_POST["cerPass"]);
				$cer="";
				$key="";
				if($_FILES['cer']['tmp_name'] != ""){
					$cer = base64_encode(file_get_contents($_FILES['cer']['tmp_name']));
				}
				if($_FILES['key']['tmp_name'] != ""){
					$key = base64_encode(file_get_contents($_FILES['key']['tmp_name']));
				}
			}

}
$query="select idReceptor from receptor where idReceptor='$idReceptor' or rfc='$rfc'";
$rquery = mysqli_query($conexion->CONEXION,$query);
if(mysqli_num_rows($rquery) > 0)
{
		$completaQuery="";
		if($_SESSION["MODULO_PENDIENTES_CANCELAR"] === "1"){
			$completaQuery = ",cerPass='".mysqli_real_escape_string($conexion->CONEXION,$cerPass)."'";
			if($cer !== ""){
				$completaQuery.= ",cerB64='$cer'";
			}
			if($key !== ""){
				$completaQuery.= ",keyB64='$key'";
			}
		}
		$query="Update receptor set rfc='$rfc',
		nombre='$nombre', 
		calle='$calle', 
		noExterior='$noExterior', 
		noInterior='$noInterior', 
		colonia='$colonia', 
		ciudad='$ciudad', 
		estado='$estado', 
		pais='$pais', 
		codigoPostal='$codigoPostal' $completaQuery where idReceptor='$idReceptor' or rfc='$rfc'";
		$rquery=mysqli_query($conexion->CONEXION,$query);
		
		$mensaje="Receptor actualizado satisfactoriamente";
		$error="Ocurrio un error al actualizar el Receptor";
		
}else if(isset($_POST["idReceptor"]))
{
			$completaQuery="";
			if($_SESSION["MODULO_PENDIENTES_CANCELAR"] === "1"){
				$completaQuery = ",cerPass='".mysqli_real_escape_string($conexion->CONEXION,$cerPass)."'";
				if($cer !== ""){
					$completaQuery.= ",cerB64='$cer'";
				}
				if($key !== ""){
					$completaQuery.= ",keyB64='$key'";
				}
			}
			$query="insert into receptor set rfc='$rfc',
			nombre='$nombre', 
			calle='$calle', 
			noExterior='$noExterior', 
			noInterior='$noInterior', 
			colonia='$colonia', 
			ciudad='$ciudad', 
			estado='$estado', 
			pais='$pais', 
			codigoPostal='$codigoPostal' $completaQuery";
			$rquery=mysqli_query($conexion->CONEXION,$query);
			
			$mensaje="Receptor dado de alta satisfactoriamente";
			$error="Ocurrio un error al dar de alta el Receptor";
}
		
		
		

if(mysqli_errno($conexion->CONEXION) != 0)
	echo "ERROR:".$error;
else{
	if($_POST['reloadGridAfterSave'] != ""){
		if($_POST['valLiga'] != ""){
			$valLiga = explode("|",$_POST['valLiga']);
			$ids = "";
			for($i = 0; $i < count($valLiga); $i++){
					$ids.=",'".$valLiga[$i]."'";
			}
		}
		?><script>tools('<?=$_POST['reloadGridAfterSave']?>'<?=$ids?>); $j_6('#closeModal').click();</script><?
	}
}
?>